Package com.smartgwt.client.widgets.drawing

# Class AnimateShowEffect

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.drawing.AnimateShowEffect

All Implemented Interfaces:
  `HasHandlers`

public class AnimateShowEffect extends DataClass
Configuration object for effect to apply during an animated show or hide.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnimateShowEffect()`
  `AnimateShowEffect(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AnimationEffect`
  `getEffect()`
  Effect to apply
  `String`
  `getEndAt()`
  For hide animations of type `"wipe` and `"slide"` this attribute specifies where the wipe / slide should finish.
  `String`
  `getEndsAt()`
  Deprecated.
  This property was misnamed.
  `static AnimateShowEffect`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getStartFrom()`
  For show animations of type `"wipe"` and `"slide"` this attribute specifies where the wipe / slide should originate.
  `AnimateShowEffect`
  `setEffect(AnimationEffect effect)`
  Effect to apply
  `AnimateShowEffect`
  `setEndAt(String endAt)`
  For hide animations of type `"wipe` and `"slide"` this attribute specifies where the wipe / slide should finish.
  `AnimateShowEffect`
  `setEndsAt(String endsAt)`
  Deprecated.
  This property was misnamed.
  `AnimateShowEffect`
  `setStartFrom(String startFrom)`
  For show animations of type `"wipe"` and `"slide"` this attribute specifies where the wipe / slide should originate.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AnimateShowEffect

    public AnimateShowEffect()

  - ### AnimateShowEffect

    public AnimateShowEffect(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static AnimateShowEffect getOrCreateRef(JavaScriptObject jsObj)

  - ### setEffect

    public AnimateShowEffect setEffect(AnimationEffect effect)
    Effect to apply
    Parameters:
      `effect` - New effect value. Default value is null
    Returns:
      `AnimateShowEffect` instance, for chaining setter calls

  - ### getEffect

    public AnimationEffect getEffect()
    Effect to apply
    Returns:
      Current effect value. Default value is null

  - ### setEndAt

    public AnimateShowEffect setEndAt(String endAt)
    For hide animations of type `"wipe` and `"slide"` this attribute specifies where the wipe / slide should finish. Valid options are `"T"` (vertical animation upwards to the top of the canvas, the default behavior) and `"L"` (horizontal animation to the left of the canvas).
    Parameters:
      `endAt` - New endAt value. Default value is null
    Returns:
      `AnimateShowEffect` instance, for chaining setter calls

  - ### getEndAt

    public String getEndAt()
    For hide animations of type `"wipe` and `"slide"` this attribute specifies where the wipe / slide should finish. Valid options are `"T"` (vertical animation upwards to the top of the canvas, the default behavior) and `"L"` (horizontal animation to the left of the canvas).
    Returns:
      Current endAt value. Default value is null

  - ### setEndsAt

    public AnimateShowEffect setEndsAt(String endsAt)
    Deprecated.
    This property was misnamed.
    Use `endAt` instead.
    Parameters:
      `endsAt` - New endsAt value. Default value is null
    Returns:
      `AnimateShowEffect` instance, for chaining setter calls

  - ### getEndsAt

    public String getEndsAt()
    Deprecated.
    This property was misnamed.
    Use `endAt` instead.
    Returns:
      Current endsAt value. Default value is null

  - ### setStartFrom

    public AnimateShowEffect setStartFrom(String startFrom)
    For show animations of type `"wipe"` and `"slide"` this attribute specifies where the wipe / slide should originate. Valid values are `"T"` (vertical animation from the top down, the default behavior), and `"L"` (horizontal animation from the left side).
    Parameters:
      `startFrom` - New startFrom value. Default value is null
    Returns:
      `AnimateShowEffect` instance, for chaining setter calls

  - ### getStartFrom

    public String getStartFrom()
    For show animations of type `"wipe"` and `"slide"` this attribute specifies where the wipe / slide should originate. Valid values are `"T"` (vertical animation from the top down, the default behavior), and `"L"` (horizontal animation from the left side).
    Returns:
      Current startFrom value. Default value is null